Bug 853599 - links are not completed to a note if a shorter title exists
links are not completed to a note if a shorter title exists
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 02:34 EDT by Sridhar Dhanapalan
Modified: 2013-11-11 05:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image showing the results from the steps to reproduce (22.57 KB, image/jpeg)
2012-09-01 02:34 EDT, Sridhar Dhanapalan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 676649 None None None 2012-09-01 02:44:02 EDT
Launchpad 886742 None None None 2012-09-01 02:34:33 EDT

  None (edit)
Description Sridhar Dhanapalan 2012-09-01 02:34:32 EDT
Created attachment 608768 [details]
Image showing the results from the steps to reproduce

Description of problem:
Connot make a link to a note if another note exists that has a shorter version of the same title.


Version-Release number of selected component:
tomboy-1.10.2-1.fc17.x86_64


How reproducible:
Always


Steps to Reproduce:
  1. create a new note, titled "testing new note"
  2. create a new note, titled "testing new note 2"
  3. in a new/existing note, try to create a link to the two newly-created notes, by typing their names


Actual results:
Two links are made to the "testing new note" note. The "2" is ignored.


Expected results:
Links are made to both notes


Problem also exists on:
Ubuntu 12.04 (Tomboy 1.10.1-0ubuntu1)
Ubuntu 11.10 (Tomboy 1.8.0)


This is not a problem on:
Fedora 14 (Tomboy 1.6.1)
Ubuntu 10.10
Comment 1 Thomas Moschny 2013-04-10 14:04:13 EDT
Thanks for reporting. I can reproduce the problem on F18.

We can track the issue here, however it has to be fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.